Bug 835002 - hardlink changes timestamps of processed directories
hardlink changes timestamps of processed directories
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: hardlink (Show other bugs)
27
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Francisco Javier Tsao Santín
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 04:32 EDT by Marko Myllynen
Modified: 2017-11-16 15:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:37:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2012-06-25 04:32:45 EDT
Description of problem:
hardlink changes the timestamp of processed directories so for example when hardlink'ing directories today containing RHEL 6.0 RPMs the timestamps of the package directories are then few years ahead of the RHEL 6.0 release date which is perhaps a bit unexpected. This is due to link creation in the directories being processed so this might be a feature not a bug.

root@localhost:~> mkdir -p test/1 test/2
root@localhost:~> cd test
root@localhost:~/test> echo a > 1/f1
root@localhost:~/test> echo a > 2/f2
root@localhost:~/test> touch -r /etc 1 1/f1 2 2/f2
root@localhost:~/test> ls -lid * */*
290993 drwxr-xr-x. 2 root root 4.0K 2012-06-25 08:39 1/
291012 -rw-r--r--. 1 root root    2 2012-06-25 08:39 1/f1
291007 drwxr-xr-x. 2 root root 4.0K 2012-06-25 08:39 2/
291014 -rw-r--r--. 1 root root    2 2012-06-25 08:39 2/f2
root@localhost:~/test> hardlink -c 1 2
root@localhost:~/test> ls -lid * */*
290993 drwxr-xr-x. 2 root root 4.0K 2012-06-25 11:23 1/
291014 -rw-r--r--. 2 root root    2 2012-06-25 08:39 1/f1
291007 drwxr-xr-x. 2 root root 4.0K 2012-06-25 08:39 2/
291014 -rw-r--r--. 2 root root    2 2012-06-25 08:39 2/f2
root@localhost:~/test> 

It might be helpful to provide an option to preserve directory timestamps during hardlink'ing.
Comment 1 Fedora Admin XMLRPC Client 2013-03-13 10:26:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-07-04 01:29:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 12:37:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Marko Myllynen 2013-08-05 11:57:07 EDT
I still think this would be worth to fix, reopening.
Comment 5 Jan Kurik 2015-07-15 11:07:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 6 Fedora Admin XMLRPC Client 2016-05-30 10:58:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2016-05-31 18:00:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2016-11-24 05:40:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-11-16 14:05:42 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.